View Issue Details

IDProjectCategoryView StatusLast Update
0004452ScribusNLSpublic2016-12-08 21:41
Reportercfynn Assigned ToFahad  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0004452: No support for Tibetan Script
DescriptionAlthough Scribus is now translated into Dzongkha - it seems that the application itself cannot be used to create Dzongkha documents since there appears to be no support for the Tibetan script in which Dzongkha language is written.

There is a pressing need for an OpenSource DTP application which supports Tibetan script.
TagsCTL-Tests, fixed, HOST-Oman, scribusctl
Patch

Relationships

child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

plinnell

2006-10-27 13:01

viewer   ~0013147

Work is underway in 1.3.4 and beyond to support non-Latin scripts. This is not trivial, but we are making progress.

cfynn

2008-07-29 10:04

reporter   ~0020062

I've added examples and screen shots at:
<http://wiki.scribus.net/index.php/Complex_Script_Functionality#Tibetan_.26_Dzongkha>

2008-07-29 13:55

 

TibetanScriptTest.odt (31,857 bytes)

2008-07-29 13:56

 

TibetanScriptTest.pdf (151,003 bytes)

2008-07-29 13:57

 

Tibetan-Script-Test-UTF-8.txt (4,595 bytes)
Use Jomolhari font  available from: https://savannah.nongnu.org/projects/free-tibetan/
༄༅།  །ཀ་ཁ་ག་ང་། །ཅ་ཆ་ཇ་ཉ། །ཏ་ཐ་ད་ན། །པ་ཕ་བ་མ། །ཙ་ཚ་ཛ་ཝ། །ཞ་ཟ་འ་ཡ། །ར་ལ་ཤ་ས། །ཧ་ཨ། ༎ ༼ ༽ ཀི་ཀུ་ཀེ་ཀོ །ཁི་ཁུ་ཁེ་ཁོ། །གི་གུ་གེ་གོ །ངི་ངུ་ངེ་ངོ་། །ཅི་ཅུ་ཅེ་ཅོ། ། ཆི་ཆུ་ཆེ་ཆོ། །ཇི་ཇུ་ཇེ་ཇོ། །ཉ་ཉུ་ཉེ་ཉོ། །ཏི་ཏུ་ཏེ་ཏོ། །ཐི་ཐུ་ཐེ་ཐོ། །དི་དུ་དེ་དོ༎ ནི་ནུ་ནེ་ནོ། །པི་པུ་པེ་པོ། །ཕི་ཕུ་ཕེ་ཕོ། །བི་བུ་བེ་བོ། །མི་མུ་མེ་མོ། ། ཙི་ཙུ་ཙེ་ཙོ། །ཚི་ཚུ་ཚེ་ཚོ། །ཛི་ཛུ་ཛེ་ཛོ། །ཝི་ཝུ་ཝེ་ཝོ། །ཞི་ཞུ་ཞེ་ཞོ། །ཟི་ཟུ་ཟེ་ཟོ། །འི་འུ་འེ་འོ། །ཡི་ཡུ་ཡེ་ཡོ། །རི་རུ་རེ་རོ། །ལི་ལུ་ལེ་ལོ། ། ཤི་ཤུ་ཤེ་ཤོ །སི་སུ་སེ་སོ། །ཧི་ཧུ་ཧེ་ཧོ། །ཨི་ཨུ་ཨེ་ཨོ། ༈ ༏ ༐ ༑ ༒ ཀྱ་ཁྱ་གྱ་པྱ་ཕྱ་བྱ་མྱ། །ཀྲ་ཁྲ་གྲ་ཏྲ་ཐྲ་དྲ་པྲ་ཕྲ་བྲ་མྲ་སྲ་ཧྲ། །ཀླ་གླ་བླ་ཟླ་རླ་ སླ༑ ཀྱུ་ཁྱུ་གྱུ་པྱུ་ཕྱུ་བྱུ་མྱུ། །ཀྲུ་ཁྲུ་གྲུ་ཏྲུ་ཐྲུ་དྲུ་པྲུ་ཕྲུ་བྲུ་མྲུ་སྲུ་ཧྲུ།  །ཀླུ་གླུ་ བླུ་ཟླུ་རླུ་སླུ། །རྐ་རྒ་རྔ་རྗ་རྙ་རྟ་རྡ་རྣ་རྦ་རྨ་རྩ་རྫ ། རྐྱ་རྒྱ་རྨྱ་། །ལྐ་ལྒ་ལྔ་ལྕ་ལྗ་ལྟ་ལྡ་ལྤ་ལྦ་ལྷ།། སྐ་སྒ་སྔ་སྙ་སྟ་སྡ་སྣ་སྤ་སྦ་སྨུ་སྩུ། །སྐྱ་སྒྱ་སྤྱ་སྦྱ་སྨྱ༎ སྐྲ་སྒྲ་སྣྲ་སྤྲ་སྦྲ་སྨྲ། 
རྐུ་རྒུ་རྔུ་རྗུ་རྙུ་རྟུ་རྡུ་རྣུ་རྦུ་རྨུ་རྩུ་རྫུ། རྐྱུ་རྒྱུ་རྨྱུ་། །ལྐུ་ལྒུ་ལྔུ་ ལྕུ་ལྗུ་ལྟུ་ལྡུ་ལྤུ་ལྦུ་ལྷུ།། སྐུ་སྒུ་སྔུ་སྙུ་སྟུ་སྡུ་སྣུ་སྤུ་སྦུ་སྨུ་སྩུ། སྐྱུ་སྒྱུ་སྤྱ་སྦྱུ་སྨྱུ། སྐྲུ་སྒྲུ་སྣྲུ་སྤྲུ་སྦྲུ་སྨྲུ། ཀྭ་ཁྭ་གྭ་ཉྭ་ཏྭ་དྭ་ཙྭ་ཚྭ་ཞྭ་ཟྭ་རྭ་ལྭ་ཤྭ་སྭ་ཧྭ། གྲྭ་རྩྭ་ཕྱྭ་ལྷྭ། ༺ ༡༢༣༤༥༦༧༨༩༠ ࿐ ༊ ࿑ ༉ ྾ ྿ ༴ ༓ ༻ ༇ ཊ་ཋ་ཌ་ཎ་ཥ་ཀྵཿ གྷ་ཌྷ་དྷ་བྷ་ཛྷ། ཊུ་ཋུ་ཌུ་ཎུ་ཥུ་ཀྵུཿ གྷུ་ཌྷུ་དྷུ་བྷུ་ཛྷུ། ༀ་ཨཱ་ཨི་ཨཱི་ཨུ་ཨཱུ་རྀ་རཱྀ་ལྀ་ལཱྀ་ཨེ་ཨཻ་ཨོ་ཨཽ་་ཨཿ ༀ་མ་ཎི་པདྨེ་ཧཱུྃ་ཧྲཱིཿ
ༀ་ཨ་ར་པ་ཙ་ན་དྷཱིཿ ༀ་བཛྲ་པ་ཎི་ཧཱུྃ་ཕཊ། ༀ་ཨཱཿཧཱུྃ་བཛྲ་གུ་རུ་པདྨ་སིདྡྷི་ཧཱུྃ༔
 ༀ་སརྦ་ཏ་ཐཱ་ག་ཏོ་ཨུཥྞི་ཥ་ཧཱུྃ་ཕཊ། ༀ་མ་མ་ཧཱུྃ་ནི་སྭཱ་ཧཱ། ༀ་མ་མ་ཧཱུྃ་ནི་སྭཱ་ཧཱ། གྷླྀ་པུཎྱཻ་པུཎྱ་པུཥྤེ་ཏིཥྛ་བཛྲ་ཧཱུྃ་ཀྵཱ་བྷྱོ་པཎྜིཏདྱ་ཐཱ་བྷྲཱུྃ་ཀྵུཾ་ཨེ་ཧྱེ་ཧི་ཨཱརྱ་སིདྡྷི༎ ༎ 

2008-07-29 14:22

 

Tibetan-Scribus-1.3.4.pdf (165,326 bytes)

Kunda

2016-04-08 18:26

manager   ~0039914

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

cbradney

2016-12-03 22:34

administrator   ~0042624

r21564

Issue History

Date Modified Username Field Change
2006-10-27 12:36 cfynn New Issue
2006-10-27 12:57 plinnell Status new => confirmed
2006-10-27 13:01 plinnell Note Added: 0013147
2006-10-27 13:48 mhanski Relationship added child of 0003965
2007-01-04 09:24 cbradney Category General => NLS
2008-07-29 10:04 cfynn Note Added: 0020062
2008-07-29 13:55 cfynn File Added: TibetanScriptTest.odt
2008-07-29 13:56 cfynn File Added: TibetanScriptTest.pdf
2008-07-29 13:57 cfynn File Added: Tibetan-Script-Test-UTF-8.txt
2008-07-29 14:22 cfynn File Added: Tibetan-Scribus-1.3.4.pdf
2016-04-08 18:24 Kunda Tag Attached: HOST-Oman
2016-04-08 18:24 Kunda Tag Attached: layout
2016-04-08 18:24 Kunda Tag Attached: scribusctl
2016-04-08 18:26 Kunda Note Added: 0039914
2016-04-08 18:26 Kunda Tag Attached: fixed
2016-11-15 21:17 JLuc Tag Detached: layout
2016-11-16 03:42 Kunda Tag Attached: CTL-Tests
2016-12-03 22:34 cbradney Assigned To => Fahad
2016-12-03 22:34 cbradney Status confirmed => resolved
2016-12-03 22:34 cbradney Resolution open => fixed
2016-12-03 22:34 cbradney Fixed in Version => 1.5.3.svn
2016-12-03 22:34 cbradney Note Added: 0042624
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:41 cbradney Target Version => 1.5.3